Bug 167512 - Review Request: perl-Algorithm-Diff
Review Request: perl-Algorithm-Diff
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://search.cpan.org/dist/Algorithm...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-03 16:51 EDT by Steven Pritchard
Modified: 2011-01-19 04:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-06 14:13:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2005-09-03 16:51:20 EDT
Spec Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Algorithm-Diff/perl-Algorithm-Diff.spec
SRPM Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Algorithm-Diff-1.15-2.src.rpm
Description:
This is a module for computing the difference between two files, two
strings, or any other two lists of things.  It uses an  intelligent
algorithm similar to (or identical to) the one used by the Unix `diff'
program.   It is guaranteed to find the *smallest possible* set of
differences.
Comment 1 Paul Howarth 2005-09-05 06:07:35 EDT
Is there some particular reason why you're packaging version 1.15 rather than
version 1.1901?
Comment 2 Steven Pritchard 2005-09-05 13:20:03 EDT
Yes.  1.1901 is distributed as a zip file, and I haven't taken the time to
figure out how to deal with that (yet).  1.15 (the previous version) is
distributed as a standard .tar.gz.
Comment 3 Jose Pedro Oliveira 2005-09-05 13:24:25 EDT
Rpmbuild handles zip files without problems.

Take a look at this specfile:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Algorithm-Diff.spec
Comment 4 Steven Pritchard 2005-09-05 13:43:07 EDT
Sorry, I should have been more specific.  It isn't that rpmbuild can't handle
it, it's that cpanspec can't.

I could pretty easily update the spec file manually to work with the newer
version, but the old version seems to work fine.  I'm planning on updating
cpanspec to handle the newer version RSN.
Comment 6 Paul Howarth 2005-09-06 06:26:57 EDT
Review:

- rpmlint clean
- package and spec file naming OK
- package meets guidelines
- license is same as perl, matches spec, text included
- spec written in English and is legible
- sources match upstream
- package builds OK in mock for FC4 and development (i386)
- no explicit BRs
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions issues
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no scriptlets

Approved.
Comment 7 Mathieu Bridon 2011-01-19 04:05:09 EST
This package is in EPEL5, but not in EPEL6. Is there any reason for that?

I would like to see this package in EPEL6, and I am willing to help co-maintain it.
Comment 8 Mathieu Bridon 2011-01-19 04:39:46 EST
Nevermind, I just saw it's in the RHEL6 Client repository (I was only looking at the Server one).

Sorry for the spam.

Note You need to log in before you can comment on or make changes to this bug.